require 'facets/core/module/redirect_method'
class Module
  private
  alias_method :redirect, :redirect_method
end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCModule < Test::Unit::TestCase

    def red1 ; 1 ; end

    redirect :red2 => :red1

    def test_redirect
      assert_equal( 1, red2 )
    end

  end

=end
